Build issues with openssl-1.1.1

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Build issues with openssl-1.1.1

Vinay Mummadi

 

Hi team,

 

I have downloaded openssl-1.1.1.tar.gz and executed the build it fails during make with this error.

 

Following are the steps.

 

  1. "./config --prefix=/u/build/build2/openssl/openssl.SYMC-1.1.1.shared/root/app/symc/packages/openssl.SYMC-1.1.1.shared shared zlib -L$baseLinkDir/lib -lz enable-ec_nistp_64_gcc_128"
  2. "make depend"
  1. "make"

 

I see this error

 

crypto/ec/ecp_nistp224.c:48:4: error: #error "Your compiler doesn't appear to support 128-bit integer types"

crypto/ec/ecp_nistp224.c:75: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'widelimb'

crypto/ec/ecp_nistp224.c:78: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'widefelem'

crypto/ec/ecp_nistp224.c:426: error: expected ')' before 'out'

crypto/ec/ecp_nistp224.c:454: error: expected ')' before 'out'

crypto/ec/ecp_nistp224.c:491: error: expected ')' before 'out'

crypto/ec/ecp_nistp224.c:503: error: expected ')' before 'out'

crypto/ec/ecp_nistp224.c:519: error: expected ')' before 'out'

crypto/ec/ecp_nistp224.c:537: warning: type defaults to 'int' in declaration of 'widefelem'

crypto/ec/ecp_nistp224.c:537: error: expected ';', ',' or ')' before 'in'

crypto/ec/ecp_nistp224.c: In function 'felem_square_reduce':

crypto/ec/ecp_nistp224.c:603: error: 'widefelem' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c:603: error: (Each undeclared identifier is reported only once

crypto/ec/ecp_nistp224.c:603: error: for each function it appears in.)

crypto/ec/ecp_nistp224.c:603: error: expected ';' before 'tmp'

crypto/ec/ecp_nistp224.c:604: warning: implicit declaration of function 'felem_square'

crypto/ec/ecp_nistp224.c:604: error: 'tmp' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c:605: warning: implicit declaration of function 'felem_reduce'

crypto/ec/ecp_nistp224.c: In function 'felem_mul_reduce':

crypto/ec/ecp_nistp224.c:610: error: 'widefelem' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c:610: error: expected ';' before 'tmp'

crypto/ec/ecp_nistp224.c:611: warning: implicit declaration of function 'felem_mul'

crypto/ec/ecp_nistp224.c:611: error: 'tmp' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c: In function 'felem_neg':

crypto/ec/ecp_nistp224.c:678: error: 'widefelem' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c:678: error: expected ';' before 'tmp'

crypto/ec/ecp_nistp224.c:679: warning: implicit declaration of function 'felem_diff_128_64'

crypto/ec/ecp_nistp224.c:679: error: 'tmp' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c: In function 'felem_inv':

crypto/ec/ecp_nistp224.c:713: error: 'widefelem' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c:713: error: expected ';' before 'tmp'

crypto/ec/ecp_nistp224.c:716: error: 'tmp' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c: In function 'point_double':

crypto/ec/ecp_nistp224.c:830: error: 'widefelem' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c:830: error: expected ';' before 'tmp'

crypto/ec/ecp_nistp224.c:837: error: 'tmp' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c:888: error: 'tmp2' undeclared (first use in this function)

crypto/ec/ecp_nistp224.c:890: warning: implicit declaration of function 'widefelem_scalar'

 

earlier for openssl-1.1.0i, I used the same steps.

 

 

I have attached the build.log and the dump as requested. Please suggest the resolution for this issue.

 

Thanks,

Vinay

 

 

 

------

Vinay

9008855944


--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users

perl-configdata-dump (10K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Build issues with openssl-1.1.1

Richard Levitte - VMS Whacker-2
I'm noticing these from the dump:

    Recorded environment:
   
    ...
        CC = /u/build/build1/engtools/linux/2.6.18-8.el5/x86_64/gcc/versions/4.3.2/bin/gcc
        CXX = /u/build/build1/engtools/linux/2.6.18-8.el5/x86_64/gcc/versions/4.3.2/bin/g++

Could it be that those compilers don't have support for 128 bit
integers on your platform?  In that case, you should remove
'enable-ec_nistp_64_gcc_128' from your configuration command.

Cheers,
Richard

In message <[hidden email]> on Mon, 24 Sep 2018 13:12:51 +0000, Vinay Mummadi <[hidden email]> said:

> Hi team,
>
> I have downloaded openssl-1.1.1.tar.gz and executed the build it fails during make with this error.
>
> Following are the steps.
>
> 1 "./config
>  --prefix=/u/build/build2/openssl/openssl.SYMC-1.1.1.shared/root/app/symc/packages/openssl.SYMC-1.1.1.shared
>  shared zlib -L$baseLinkDir/lib -lz enable-ec_nistp_64_gcc_128"
>
> 2 "make depend"
>
> 1 "make"
>
> I see this error
>
> crypto/ec/ecp_nistp224.c:48:4: error: #error "Your compiler doesn't appear to support 128-bit
> integer types"
>
> crypto/ec/ecp_nistp224.c:75: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'widelimb'
>
> crypto/ec/ecp_nistp224.c:78: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'widefelem'
>
> crypto/ec/ecp_nistp224.c:426: error: expected ')' before 'out'
>
> crypto/ec/ecp_nistp224.c:454: error: expected ')' before 'out'
>
> crypto/ec/ecp_nistp224.c:491: error: expected ')' before 'out'
>
> crypto/ec/ecp_nistp224.c:503: error: expected ')' before 'out'
>
> crypto/ec/ecp_nistp224.c:519: error: expected ')' before 'out'
>
> crypto/ec/ecp_nistp224.c:537: warning: type defaults to 'int' in declaration of 'widefelem'
>
> crypto/ec/ecp_nistp224.c:537: error: expected ';', ',' or ')' before 'in'
>
> crypto/ec/ecp_nistp224.c: In function 'felem_square_reduce':
>
> crypto/ec/ecp_nistp224.c:603: error: 'widefelem' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c:603: error: (Each undeclared identifier is reported only once
>
> crypto/ec/ecp_nistp224.c:603: error: for each function it appears in.)
>
> crypto/ec/ecp_nistp224.c:603: error: expected ';' before 'tmp'
>
> crypto/ec/ecp_nistp224.c:604: warning: implicit declaration of function 'felem_square'
>
> crypto/ec/ecp_nistp224.c:604: error: 'tmp' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c:605: warning: implicit declaration of function 'felem_reduce'
>
> crypto/ec/ecp_nistp224.c: In function 'felem_mul_reduce':
>
> crypto/ec/ecp_nistp224.c:610: error: 'widefelem' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c:610: error: expected ';' before 'tmp'
>
> crypto/ec/ecp_nistp224.c:611: warning: implicit declaration of function 'felem_mul'
>
> crypto/ec/ecp_nistp224.c:611: error: 'tmp' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c: In function 'felem_neg':
>
> crypto/ec/ecp_nistp224.c:678: error: 'widefelem' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c:678: error: expected ';' before 'tmp'
>
> crypto/ec/ecp_nistp224.c:679: warning: implicit declaration of function 'felem_diff_128_64'
>
> crypto/ec/ecp_nistp224.c:679: error: 'tmp' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c: In function 'felem_inv':
>
> crypto/ec/ecp_nistp224.c:713: error: 'widefelem' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c:713: error: expected ';' before 'tmp'
>
> crypto/ec/ecp_nistp224.c:716: error: 'tmp' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c: In function 'point_double':
>
> crypto/ec/ecp_nistp224.c:830: error: 'widefelem' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c:830: error: expected ';' before 'tmp'
>
> crypto/ec/ecp_nistp224.c:837: error: 'tmp' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c:888: error: 'tmp2' undeclared (first use in this function)
>
> crypto/ec/ecp_nistp224.c:890: warning: implicit declaration of function 'widefelem_scalar'
>
> earlier for openssl-1.1.0i, I used the same steps.
>
> I have attached the build.log and the dump as requested. Please suggest the resolution for this
> issue.
>
> Thanks,
>
> Vinay
>
> ------
>
> Vinay
>
> 9008855944
>
--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users